def lunar_arithmetic(a: str, b: str) -> str:
    # Выравнивание длины строк
    max_length = max(len(a), len(b))
    a = a.zfill(max_length)
    b = b.zfill(max_length)

    # Инициализация строк для результата
    sum_result = ''
    mul_result = ''

    # Проходим по каждой цифре
    for digit_a, digit_b in zip(a, b):
        sum_result += str(max(int(digit_a), int(digit_b)))
        mul_result += str(min(int(digit_a), int(digit_b)))

    return f"{sum_result} {mul_result}"

# Ввод данных
a = input().strip()
b = input().strip()

# Получение результата
result = lunar_arithmetic(a, b)
print(result)